Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class DefaultBuilderManager

    java.lang.Object
      com.atlassian.bamboo.builder.DefaultBuilderManager

All Implemented Interfaces:
  BuilderManager

    public class DefaultBuilderManager

extends Object
implements BuilderManager

Constructor Summary
`DefaultBuilderManager()`
`DefaultBuilderManager(PluginManager pluginManager, Persister container)`

Method Summary
`List` | `getAllBuilders()` A list of `Builder` objects available to the system with default configuration.
`Map` | `getAllBuildersAsMap()`
`List` | `getAllConfigurableBuilders()` Returns all builders with `Builder.isLabelPathMapConfigurable()` returning true
`Builder` | `getBuilder(String key, Map params)` Creates a new builder with the specified key, instantiated with the given params
`Map` | `getBuilderLabelPathMaps()` Obtain the total set of builder maps.
`String` | `getPathForLabel(String label)` Looks up the collection of `LabelPathMap` objects and returns the "path" property for the label
`void` | `setPersister(Persister persister)`
`void` | `setPluginManager(PluginManager pluginManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBuilderManager

    public DefaultBuilderManager()

### DefaultBuilderManager

    public DefaultBuilderManager(PluginManager pluginManager,
                                 Persister container)

Method Detail

### getBuilderLabelPathMaps

    public Map getBuilderLabelPathMaps()

  Description copied from interface: `BuilderManager`
  Obtain the total set of builder maps. The key are the labels for the `Builder` and the values are `LabelPathMap`

  Specified by:
    `getBuilderLabelPathMaps` in interface `BuilderManager`

### getAllConfigurableBuilders

    public List getAllConfigurableBuilders()

  Description copied from interface: `BuilderManager`
  Returns all builders with `Builder.isLabelPathMapConfigurable()` returning true

  Specified by:
    `getAllConfigurableBuilders` in interface `BuilderManager`
  Returns:
    List of `Builder`. `Collections.EMPTY_LIST` if none available

### getPathForLabel

    public String getPathForLabel(String label)

  Description copied from interface: `BuilderManager`
  Looks up the collection of `LabelPathMap` objects and returns the "path" property for the label

  Specified by:
    `getPathForLabel` in interface `BuilderManager`
  Returns:
    Path for the label, null if not found

### getBuilder

    public Builder getBuilder(String key,
                              Map params)

  Description copied from interface: `BuilderManager`
  Creates a new builder with the specified key, instantiated with the given params

  Specified by:
    `getBuilder` in interface `BuilderManager`
  Parameters:
    `key` - - full plugin key of the build e.g com.atlassian.bamboo.plugin.system.builder:ant
    `params` - - params that the builder will be instantiated with. Can be null
  Returns:
    a constructed `Builder`

### getAllBuilders

    public List getAllBuilders()

  Description copied from interface: `BuilderManager`
  A list of `Builder` objects available to the system with default configuration.

  Specified by:
    `getAllBuilders` in interface `BuilderManager`
  Returns:
    `List` of `Builder`s. `Collections.EMPTY_LIST` if none available

### getAllBuildersAsMap

    public Map getAllBuildersAsMap()

  Specified by:
    `getAllBuildersAsMap` in interface `BuilderManager`

### setPersister

    public void setPersister(Persister persister)

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.